:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  color: #ffffffde;
  background-color: #242424;
  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}
body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}
h1 {
  font-size: 3.2em;
  line-height: 1.1;
}
button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  color: #fff;
  cursor: pointer;
  transition: border-color 0.25s;
}
input {
  background-color: #242424;
  border: solid 1px #fff9;
  border-radius: 1rem;
  color: #fff;
}
input:focus {
  outline: none;
  border: solid 1px #fff;
}
button:hover {
  border-color: #646cff;
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}
.card {
  padding: 2em;
}
#app {
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}
h1[data-v-a1c8d0ad] {
  margin: 0;
  padding: 0;
  font-size: 1.5rem;
  font-weight: 400;
  margin-bottom: 1rem;
}
h2[data-v-a1c8d0ad] {
  margin: 0;
  padding: 0;
  font-size: 1rem;
  font-weight: 400;
  margin-bottom: 0.5rem;
}
input[data-v-a1c8d0ad] {
  width: 100%;
  margin-bottom: 1rem;
  text-align: center;
  padding: 0.5rem 0;
}
button.selected[data-v-a1c8d0ad] {
  background-color: #ebebeb4e;
}
.color-button[data-v-a1c8d0ad] {
  margin: 0;
  padding: 0;
  width: 30px;
  height: 30px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 10rem;
  background-color: transparent;
}
.colors[data-v-a1c8d0ad] {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 1rem 0;
}
.color[data-v-a1c8d0ad] {
  width: 20px;
  height: 20px;
  border-radius: 10rem;
  display: block;
}
.serverPopup[data-v-a1c8d0ad],
.sidePopup[data-v-a1c8d0ad] {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  background-color: #242424;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.serverPopup button[data-v-a1c8d0ad],
.sidePopup button[data-v-a1c8d0ad],
.buttons button[data-v-a1c8d0ad] {
  margin: 0 0.5rem;
}
.players-data[data-v-a1c8d0ad] {
  position: fixed;
  bottom: 0;
  left: 0;
  height: 100px;
  border-top: #ebebeb4e 1px solid;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.players-data span[data-v-a1c8d0ad] {
  width: 70%;
  height: 5px;
  display: inline-block;
  margin-left: 0.5rem;
}
.score[data-v-a1c8d0ad] {
  width: 30%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.player-1-sets[data-v-a1c8d0ad],
.player-2-sets[data-v-a1c8d0ad] {
  width: 10%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.final-score[data-v-a1c8d0ad] {
  font-size: 2rem;
  margin-bottom: 1rem;
}
.player-1[data-v-a1c8d0ad],
.player-2[data-v-a1c8d0ad] {
  width: 25%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.set-line[data-v-a1c8d0ad] {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.set-line p[data-v-a1c8d0ad] {
  margin: 0;
}
.ball-position[data-v-a1c8d0ad] {
  margin-top: 2rem;
  width: 100%;
  display: flex;
  flex-direction: row;
}
.left[data-v-a1c8d0ad] {
  justify-content: flex-start;
}
.right[data-v-a1c8d0ad] {
  justify-content: flex-end;
}
.ball[data-v-a1c8d0ad] {
  width: 30px;
  height: 30px;
  border-radius: 10rem;
  display: block;
  background-color: green;
}
.game-end[data-v-a1c8d0ad] {
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  background-color: #242424;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
